%define		_class		Date
%define		_subclass	Holidays
%define		_region		Norway
%define		upstream_name	%{_class}_%{_subclass}_%{_region}
%global __requires_exclude pear\\(Christian.php\\)

Name:		php-pear-%{upstream_name}
Version:	0.1.2
Release:	%mkrel 11
Summary:	Driver based class to calculate holidays in %{_region}
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/%{upstream_name}/
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tar.bz2
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
Requires:	php-pear-Date_Holidays >= 0.21.1
BuildRequires:	php-pear
BuildArch:	noarch

%description
%{upstream_name} is the Date_Holidays driver for %{_region} region.

%prep
%setup -q -c 
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/doc
rm -rf %{buildroot}%{_datadir}/pear/test

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%files
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml


%changelog
* Wed Feb 17 2016 luigiwalser <luigiwalser> 0.1.2-11.mga6
+ Revision: 964564
- fix file list the correct way

* Wed Feb 17 2016 umeabot <umeabot> 0.1.2-10.mga6
+ Revision: 964366
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.2-9.mga5
+ Revision: 745096
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.2-8.mga5
+ Revision: 687231
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 0.1.2-7.mga4
+ Revision: 516631
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.1.2-6.mga3
+ Revision: 376066
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 15 2011 spuhler <spuhler> 0.1.2-5.mga1
+ Revision: 71925
- added  define _requires_exceptions pear(Christian.php) to resilve circ. dep
  increase rel for rebuild

* Sat Feb 05 2011 spuhler <spuhler> 0.1.2-4.mga1
+ Revision: 47250
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Date_Holidays_Norway

